gdlmm: Gdl::Dock Class Reference

gdlmm 3.7.3

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gdl::Dock Class Reference
Inheritance diagram for Gdl::Dock:
[legend]
Collaboration diagram for Gdl::Dock:
[legend]

## Public Member Functions
virtual | ~Dock ()
GdlDock* | gobj ()
| Provides access to the underlying C GtkObject.
const GdlDock* | gobj () const
| Provides access to the underlying C GtkObject.
| Dock ()
| Dock (Dock& original, bool floating=false)
void | add_item (DockItem& item, DockPlacement place)
void | add_floating_item (DockItem& item, int x, int y, int width, int height)
DockItem* | get_item_by_name (const Glib::ustring& name) const
DockPlaceholder* | get_placeholder_by_name (const Glib::ustring& name) const
std::vector< DockItem* > | get_named_items () const
Dock* | get_toplevel () const
void | hide_preview ()
Glib::PropertyProxy < Glib::ustring > | property_default_title ()
| Default title for the newly created floating docks.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_default_title () const
| Default title for the newly created floating docks.
Glib::PropertyProxy_ReadOnly < bool > | property_floating () const
| Whether the dock is floating in its own window.
Glib::PropertyProxy< int > | property_floatx ()
| X coordinate for a floating dock.
Glib::PropertyProxy_ReadOnly< int > | property_floatx () const
| X coordinate for a floating dock.
Glib::PropertyProxy< int > | property_floaty ()
| Y coordinate for a floating dock.
Glib::PropertyProxy_ReadOnly< int > | property_floaty () const
| Y coordinate for a floating dock.
Glib::PropertyProxy< int > | property_height ()
| Height for the dock when it's of floating type.
Glib::PropertyProxy_ReadOnly< int > | property_height () const
| Height for the dock when it's of floating type.
Glib::PropertyProxy< int > | property_width ()
| Width for the dock when it's of floating type.
Glib::PropertyProxy_ReadOnly< int > | property_width () const
| Width for the dock when it's of floating type.
Glib::SignalProxy0< void > | signal_layout_changed ()
Public Member Functions inherited from Gdl::DockObject
virtual | ~DockObject ()
bool | is_compound () const
void | detach (bool recursive=true)
DockObject* | get_parent_object () const
void | freeze ()
void | thaw ()
void | reduce ()
template<class OtherType >
void | dock (DockObject& requestor, const OtherType& other_data, DockPlacement position=static_cast< DockPlacement >(DOCK_NONE))
void | dock (DockObject& requestor, DockPlacement position=static_cast< DockPlacement >(DOCK_NONE))
void | bind (const Glib::RefPtr< DockMaster >& master)
void | unbind ()
bool | is_bound () const
template<class OtherType >
bool | reorder (DockObject& child, const OtherType& other_data, DockPlacement new_position=static_cast< DockPlacement >(DOCK_NONE))
bool | reorder (DockObject& child, DockPlacement new_position=static_cast< DockPlacement >(DOCK_NONE))
void | present (DockObject& child)
bool | child_placement (DockObject& child, DockPlacement placement=static_cast< DockPlacement >(DOCK_NONE))
bool | is_automatic ()
void | set_manual ()
Glib::RefPtr< DockMaster > | get_master ()
Glib::PropertyProxy < Glib::ustring > | property_long_name ()
| Human readable name for the dock object.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_long_name () const
| Human readable name for the dock object.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_name () const
| Unique name for identifying the dock object.
Glib::PropertyProxy < Glib::RefPtr< DockMaster > > | property_master ()
| Dock master this dock object is bound to.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< DockMaster > > | property_master () const
| Dock master this dock object is bound to.
Glib::PropertyProxy < Glib::ustring > | property_stock_id ()
| Stock icon for the dock object.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_stock_id () const
| Stock icon for the dock object.
Glib::SignalProxy1< void, bool > | signal_detach ()
Glib::SignalProxy3< void, DockObject&, DockPlacement, const Glib::ValueBase* > | signal_dock ()

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions
virtual void | on_layout_changed ()
| This is a default handler for the signal signal_layout_changed().
Protected Member Functions inherited from Gdl::DockObject
| DockObject ()
void | dock (DockObject& requestor, const Glib::ValueBase& other_data, DockPlacement position=static_cast< DockPlacement >(DOCK_NONE))
bool | reorder (DockObject& child, const Glib::ValueBase& other_data, DockPlacement new_position=static_cast< DockPlacement >(DOCK_NONE))

## Related Functions
(Note that these are not member functions.)
Gdl::Dock* | wrap (GdlDock* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gdl::DockObject
Gdl::DockObject* | wrap (GdlDockObject* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gdl::Dock::~Dock | ( |  | ) |
| virtual

Gdl::Dock::Dock | ( |  | ) |
| explicit

Gdl::Dock::Dock | ( | Dock& | original,
|  | bool | floating = `false`
| ) |  |
| explicit

## Member Function Documentation

void Gdl::Dock::add_floating_item | ( | DockItem& | item,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |  |

void Gdl::Dock::add_item | ( | DockItem& | item,
|  | DockPlacement | place
| ) |  |

DockItem* Gdl::Dock::get_item_by_name | ( | const Glib::ustring & | name | ) | const

std::vector<DockItem*> Gdl::Dock::get_named_items | ( |  | ) | const

DockPlaceholder* Gdl::Dock::get_placeholder_by_name | ( | const Glib::ustring & | name | ) | const

Dock* Gdl::Dock::get_toplevel | ( |  | ) | const

static GType Gdl::Dock::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gdl::DockObject.

GdlDock* Gdl::Dock::gobj | ( |  | ) |
| inline

Provides access to the underlying C GtkObject.

Reimplemented from Gdl::DockObject.

const GdlDock* Gdl::Dock::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GtkObject.

Reimplemented from Gdl::DockObject.

void Gdl::Dock::hide_preview | ( |  | ) |

virtual void Gdl::Dock::on_layout_changed | ( |  | ) |
| protectedvirtual

This is a default handler for the signal signal_layout_changed().

Glib::PropertyProxy< Glib::ustring > Gdl::Dock::property_default_title | ( |  | ) |

Default title for the newly created floating docks.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gdl::Dock::property_default_title | ( |  | ) | const

Default title for the newly created floating docks.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gdl::Dock::property_floating | ( |  | ) | const

Whether the dock is floating in its own window.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gdl::Dock::property_floatx | ( |  | ) |

X coordinate for a floating dock.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gdl::Dock::property_floatx | ( |  | ) | const

X coordinate for a floating dock.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gdl::Dock::property_floaty | ( |  | ) |

Y coordinate for a floating dock.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gdl::Dock::property_floaty | ( |  | ) | const

Y coordinate for a floating dock.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gdl::Dock::property_height | ( |  | ) |

Height for the dock when it's of floating type.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gdl::Dock::property_height | ( |  | ) | const

Height for the dock when it's of floating type.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gdl::Dock::property_width | ( |  | ) |

Width for the dock when it's of floating type.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gdl::Dock::property_width | ( |  | ) | const

Width for the dock when it's of floating type.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy0< void > Gdl::Dock::signal_layout_changed | ( |  | ) |

Slot Prototype:
  `void on_my_layout_changed()`

## Friends And Related Function Documentation

Gdl::Dock* wrap | ( | GdlDock * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gdlmm/dock.h